Eclipse中INSTALL_PARSE_FAILED_NO_CERTIFICATES错误

嗨,我一直在寻找不同的职位,比我们在错误INSTALL_PARSE_FAILED_NO_CERTIFICATES错误的主题,但我还没有find原因,以及如何解决它。 我附加了我的Eclipse的截图,看到一个可视化的想法。

我不知道如何解决这个问题。

在google play上签名申请发布,从那以后,我得到这个错误,可以吗? 我可以? 因为如果他们失去了这个项目

非常感谢你!

捕捉我的日食

重复的Android清单

Solutions Collecting From Web of "Eclipse中INSTALL_PARSE_FAILED_NO_CERTIFICATES错误"

首先用jarsigner签名你的apk ,然后使用adb install -r <apkfile>重新adb install -r <apkfile> (或者首先卸载用正确的证书签名的应用程序)

如果你的设备上没有authentication的旧应用程序,并尝试安装新的authentication,这将是一个问题。

卸载旧的,然后再试一次。

为了您的下一个问题去eclipse.ini并从-XmsAm-XmxBm更改参数。 您的将-Xms40m-Xmx384m设置为-Xms512m-Xmx512m

我有同样的错误,并能够解决这个问题:

  1. 卸载旧的应用程序
  2. 清理项目
  3. 运行并重新安装一次

对于那些有这个问题的…

selectV1(jar签名)而不是V2(完整apk签名)

selectV2也会导致这个问题。 在这里输入图像说明

这是一个丑陋而又快速的解决scheme:使用JDK 6而不是7.很多ppl遇到过jdk 7的问题。 尝试与JDK 6

你的asserts,bin,res的格式不正确,请删除这些文件并重新粘贴到项目中,然后清理&&再次生成项目..可能会给出肯定的结果

大多数情况下,这个错误的解决scheme非常简单:正如我在回答: 什么是INSTALL_PARSE_FAILED_NO_CERTIFICATES错误?

  1. 卸载你的apk。
  2. 清理你的Android项目。
  3. build立你的android项目。
  4. 安装/运行你的apk

玩的开心